Subject: bug#2370: 23.0.90; decode-coding-region make emacs crash

From: Chong Yidong <[email-masked]>
Date: Wed, 18 Feb 2009 22:06:34 -0500

Kenichi Handa <[email-masked]> writes:

> I found two bugs related to this problem, and just installed
> a fix for one of them.  Now the above specific problem
> should be fixed.  I'll keep on workning to fix the other bug
> to make the decoding more robust.

Thanks.  I think decode_coding should also verify the size of the
unprocessed bytes before writing them to coding->carrover.  This way,
future bugs of this sort will not cause memory corruption (which might
be a security concern).  What's your opinion?